//
//  NounDictionary.swift
//  PhraseThrow
//
//  Created by Sally McNichols on 9/14/15.
//  Copyright (c) 2015 Sally McNichols. All rights reserved.
//

import UIKit

class NounDictionary: NSObject {
    var wordList : [String]?
    
    override init() {
        super.init()
        do {
            let mainBundle = NSBundle.mainBundle()
            let filePath: String? = mainBundle.pathForResource("nounlist", ofType: ".txt")
            if(filePath != nil) {
                let words : String? = try String(contentsOfFile: filePath!, encoding: NSUTF8StringEncoding)
                self.wordList = words!.componentsSeparatedByString("\n")
            }
        }
        catch {
            print("There was an error reading the nounlist \n")
        }
   }

    func randomWord() -> String? {
        if(self.wordList != nil) {
            let index = random() % self.wordList!.count
            let word: String = self.wordList![index]
            return word
        }
        
        return nil
    }
}
